shader{
	code= "
		uniform vec3 cameraPosition;
		varying vec3 viewVector;

		void main(){
			gl_Position= ftransform();
			gl_TexCoord[0]= gl_MultiTexCoord0;
			viewVector = cameraPosition - gl_Vertex.xyz;
		}
	"

	semantics{
		cameraPosition= CAMERA_POSITION
	}
}