shader{

	code= "
	uniform mat4	previousProjectionMatrix;

	varying vec4	previousProjection;
	varying vec4	currentProjection;
	
	void main(){
		gl_TexCoord[0]= gl_MultiTexCoord0;
		gl_Position= ftransform();

		currentProjection = gl_Position;
		previousProjection = previousProjectionMatrix * gl_Vertex;
	}
	"
}