shader
{
	code= "

	uniform sampler2D	bokehTexture;
	varying in vec3		color;

	void main()
	{
		vec3 bokeh = texture(bokehTexture, gl_TexCoord[0].st).rgb;

		gl_FragColor = vec4(bokeh * color, 1);
	}
	"
}