shader{

	code= "		
	void main(){
		float depth= getPixelDepth(gl_TexCoord[0].st);
		vec3 position= reconstructPositionFromDepth(depth, gl_TexCoord[1].xyz);
		gl_FragColor= sampleCascadedShadowMap(position, depth, gl_TexCoord[0].st);
	}
	"
	
	includes{
		file= resources/shaders/engine/positionFromDepth.sh
		file= resources/shaders/engine/shadows/cascadedShadowMapping.sh
	}
}