shader
{
	code= "
	uniform mat4x4	objectMatrix;
	
	varying vec3	position;
	varying vec3	normal;

	void main()
	{
		position = (objectMatrix * gl_Vertex).xyz;
		normal = mat3(objectMatrix) * vec3(0, 1, 0);
		gl_Position= ftransform();
	}
	"
}